Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 129414 - I18N - WSDL from database wizard has resize issue
I18N - WSDL from database wizard has resize issue
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: SQL Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Narayana Rallabandi
issues@soa
61fixes2-fixed
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 15:09 UTC by kaa
Modified: 2008-07-10 15:13 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
image (80.30 KB, image/jpeg)
2008-03-06 15:09 UTC, kaa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaa 2008-03-06 15:09:14 UTC
Product Version: NetBeans IDE 6.1 Beta (Build 200803041230)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows XP version 5.1 running on x86; MS932; ja_JP

Steps:
1. Create SQL Module
2. Open WSDL from Database wizard
3. Press Next button

The wizard does not resize to show text label and a dropdown.

Assumption is that user does not need to manually resize most windows or dialogs to see all of the UI objects and
information in them. I'm running in pseudo localized locale in which each message/label is sometimes longer than in
English. To account for that in some locales, translations from English (and some other euro languages) could be shown
with longer strings.

Also I'm running at font size 16, which is viewed as a valid font size that might be used. Resizing issues are not just
related to i18n; they might show to user in English locale if they run at larger font size.

Often, these issues happen because the length of some label or message or size of entire window is hardcoded vs using
layout managers or other techniques or api to have the windows or the objects in them, dynamically resize. Sometimes,
embedding components in a scroll pane will solve the problem.
Comment 1 kaa 2008-03-06 15:09:46 UTC
Created attachment 57884 [details]
image
Comment 2 Venkat Srinivasan 2008-03-06 15:30:15 UTC
Pls look into this.
Comment 3 Narayana Rallabandi 2008-03-27 06:28:57 UTC
Moving the current code to layout managers takes some time and this could not be completed with in the current time
frame. Hence I request this to be waived. We should able to fix this in the next milestone.
Comment 4 Ken Frank 2008-04-14 22:48:59 UTC
can this be fixed for the first 6.1 patch ? 
(and since there are also various other issues
in this module/area that we are hoping will
be fixed for this patch ?

if so, fix needs to be in trunk before it can go
into the patch.

ken.frank@sun.com
Comment 5 pgebauer 2008-04-25 08:18:36 UTC
The issue hasn't be fixed till 61patch1 nomination cut-off date.
Marked as release61_fixes_candidate2.
Comment 6 nav064 2008-05-05 10:40:57 UTC
http://hg.netbeans.org/main/rev/4233e60b94fb

Change in layout to accommodate component resizing according to increasing size.
Comment 7 Ken Frank 2008-05-07 19:38:51 UTC
verified, trunk 0507, solaris, ja locale using pseudo localized.

this could go into patch 2.

ken.frank@sun.com
Comment 8 pslechta 2008-05-28 10:38:38 UTC
The fix has been ported into the release61_fixes repository.

http://hg.netbeans.org/release61_fixes/rev/77afea5abf45


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo